Description

This is a guide on how to install the Deluge bittorrent client on a server and controlled by the web interface on FreeBSD 948 11.

Prepare the Environment

o Make sure the system is up to date:

pkg update && pkg upgrade

Install Deluge

¢ Install deluge:

pkg install deluge-cli
e Create the deluge user:

pw useradd -n deluge -m -c "Deluge" -s /sbin/nologin -w no
e Create the directory to store the deluge config files:

mkdir -p /home/deluge/.config/deluge
chown -R deluge:deluge /home/deluge/

e Start and enable the deluge daemon at boot:

echo 'deluged_enable="YES"' >> /etc/rc.conf
echo 'deluged_user="deluge"' >> /etc/rc.conf
service deluged start

e Start and enable the deluge web interface at boot:

echo 'deluge_web_enable="YES"' >> /etc/rc.conf
echo 'deluge_web_user="deluge"' >> /etc/rc.conf
service deluge_web start

* Open a web browser and go to http:/deluge.example.com:8112
o NOTE: The default password is deluge.

Install Nginx
o |nstall Nginx
pkg install nginx
e Start and enable nginx at boot:

echo 'nginx_enable="YES"' >> /etc/rc.conf
service nginx start

e Create a configuration directory to make managing individual server blocks easier
mkdir /usr/local/etc/nginx/conf.d
e Edit the main nginx config file:

vi /usr/local/etc/nginx/nginx.conf
o And strip down the config file and add the include statement at the end to make it easier to handle various server blocks:
worker_processes 1;
error_log /var/log/nginx-error.log;
events {

worker_connections 1024;

http {
include mime.types;
default_type application/octet-stream;

sendfile on;
keepalive_timeout 65;

# Load config files from the /etc/nginx/conf.d directory
include /usr/local/etc/nginx/conf.d/*.conf;

¢ Add a deluge site server block:

vi /usr/local/etc/nginx/conf.d/deluge.example.com.conf
o Add the following:
server {
listen 80 default_server;
server_name deluge.example.com;

access_log /var/log/deluge.example.com.log;

location / {
proxy_pass http://localhost:8112/;

Torrenting Protection

04/09/2024 2/4




Encryption

e From the web interface, go to Preferences -> Encryption
1. Make sure Inbound is Enabled
2. Make sure Outbound is Enabled
3. click the Level menu and choose Full Stream
4. Make sure to enable [X] Encrypt entire stream
5. Click Apply and OK

Blocklist

¢ From the web interface, go to Preferences -> Plugins and enable the Blocklist plugin, then click OK.

¢ Add a blocklist URL, http://list.iblocklist.com/?list=ydxerpxkpcfgjaybcsswé&fileformat=p2p&archiveformat=gz (this one is from
iblocklist)

e Check for new list every 1 day
¢ Import blocklist on startup is checked

¢ Click Apply and OK.
The Onion Router

¢ Install TOR:

pkg install tor

® Tor users are strongly advised to prevent traffic analysis that exploits sequential IP IDs by setting:

sysctl net.inet.ip.random_id=1

e Edit the TOR config file:

vi /usr/local/etc/tor/torrc

o And add/modify the following lines:

RunAsDaemon 1

e Start and enable TOR at boot:

echo 'tor_enable="YES"' >> /etc/rc.conf
service tor start

)

From the web interface, go to Preferences -> Proxy:

Configure Web Seed type to Socksv5:
1. Set host to localhost
2. Set port to 9050

Configure Tracker type to Socksv5:
1. Set host to localhost
2. Set port to 9050

Configure DHT type to Socksv5:
1. Set host to localhost
2. Set port to 9050

Resources

¢ http://jadawin-freebsd.thajsko.in.th/2013/01/deluge-on-freebsd-server.html
¢ https:/forums.freenas.org/index.php?threads/install-deluge-in-a-jail.28778/
e https://www.iblocklist.com/lists

History

#1 - 01/22/2016 04:47 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 70

#2 - 01/22/2016 05:49 PM - Daniel Curtis
- Description updated

#3 - 01/22/2016 05:57 PM - Daniel Curtis

- Description updated

#4 - 01/29/2016 04:42 PM - Daniel Curtis
- Description updated

- % Done changed from 70 to 90

#5 - 02/20/2016 07:47 PM - Daniel Curtis
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#6 - 08/05/2016 10:59 PM - Daniel Curtis
- Description updated

- Target version changed from FreeBSD 9 to FreeBSD 10

#7 - 08/27/2017 07:56 PM - Daniel Curtis
- Description updated
- Target version changed from FreeBSD 10 to FreeBSD 11
